##
##Wandering Trader
execute as @e[type=wandering_trader,tag=!wandering_trader,predicate=barely_default:wandering_trader/overworld] run function barely_default:wandering_trader/creeper_trade
##
##Piggy bank
execute as @e[type=trader_llama,tag=!piggy_bank.tagged,predicate=barely_default:piggy_bank/chance_5,predicate=barely_default:piggy_bank/overworld,limit=1,sort=random] at @s run function barely_default:piggy_bank/piggy_bank
#Tags the trader llamas
tag @e[type=trader_llama,tag=!piggy_bank.tagged] add piggy_bank.tagged
##
##Moobloom
execute as @e[type=cow,tag=!moobloom.tagged,predicate=barely_default:cow/flower_forest] at @s run function barely_default:moobloom/moobloom
#Moobloom baby
execute as @e[type=cow,nbt={Age:-24000}] at @s if entity @e[type=cow,tag=moobloom,distance=..0.5,limit=2] run function barely_default:moobloom/moobloom_baby
#Tags the cow
tag @e[type=cow,tag=!moobloom.tagged,] add moobloom.tagged
#Tag all other cows
tag @e[type=cow,tag=!cow] add cow
##
##Cluckshroom
#Red
execute as @e[type=mooshroom,tag=!cluckshroom.tagged,predicate=barely_default:cluckshroom/chance_10,predicate=barely_default:cluckshroom/mushroom_fields] at @s run function barely_default:cluckshroom/red
#Brown
execute as @e[type=mooshroom,tag=!cluckshroom.tagged,predicate=barely_default:cluckshroom/chance_5,predicate=barely_default:cluckshroom/mushroom_fields] at @s run function barely_default:cluckshroom/brown
#Cluckshroom baby
execute as @e[type=chicken,nbt={Age:-24000}] at @s if entity @e[type=chicken,tag=cluckshroom,distance=..0.25,limit=2] run function barely_default:cluckshroom/cluckshroom_baby
#Tags the mooshrooms
tag @e[type=mooshroom,tag=!cluckshroom.tagged,] add cluckshroom.tagged
##
##Bears
#Brown
execute as @e[type=chicken,tag=!bear.tagged,predicate=barely_default:bear/chance_10,predicate=barely_default:bear/taiga] at @s run function barely_default:bear/brown
execute as @e[type=polar_bear,tag=brown_bear,tag=!baby.tagged,predicate=barely_default:bear/chance_5] at @s run function barely_default:bear/brown_bear_baby
execute as @e[type=polar_bear,tag=brown_bear,tag=new] at @s if entity @e[type=chicken,distance=..5,nbt={Age:-24000},limit=1] run tp @s ~ -1000 ~
execute as @e[type=polar_bear,tag=brown_bear,tag=new] at @s if entity @e[type=chicken,distance=..5,nbt={Age:-24000},limit=1] run kill @s
#Black
execute as @e[type=chicken,tag=!bear.tagged,predicate=barely_default:bear/chance_10,predicate=barely_default:bear/forest] at @s run function barely_default:bear/black
execute as @e[type=polar_bear,tag=black_bear,tag=!baby.tagged,predicate=barely_default:bear/chance_5] at @s run function barely_default:bear/black_bear_baby
execute as @e[type=polar_bear,tag=black_bear,tag=new] at @s if entity @e[type=chicken,distance=..5,nbt={Age:-24000},limit=1] run tp @s ~ -1000 ~
execute as @e[type=polar_bear,tag=black_bear,tag=new] at @s if entity @e[type=chicken,distance=..5,nbt={Age:-24000},limit=1] run kill @s
#Tags the chickens
tag @e[type=chicken,tag=!bear.tagged] add bear.tagged
#Tags the bears
tag @e[type=polar_bear,tag=!baby.tagged] add baby.tagged
##Butterflies
execute as @e[type=bat,tag=!butterfly.tagged,predicate=barely_default:butterfly/chance_5,predicate=barely_default:butterfly/overworld] at @s run function barely_default:butterfly/random
#Black
execute as @e[type=bat,tag=!butterfly,nbt={ArmorItems:[{},{},{},{id:"minecraft:black_dye",count:1}]}] at @s run function barely_default:butterfly/black_spawn
#Blue
execute as @e[type=bat,tag=!butterfly,nbt={ArmorItems:[{},{},{},{id:"minecraft:blue_dye",count:1}]}] at @s run function barely_default:butterfly/blue_spawn
#Brown
execute as @e[type=bat,tag=!butterfly,nbt={ArmorItems:[{},{},{},{id:"minecraft:brown_dye",count:1}]}] at @s run function barely_default:butterfly/brown_spawn
#Cyan
execute as @e[type=bat,tag=!butterfly,nbt={ArmorItems:[{},{},{},{id:"minecraft:cyan_dye",count:1}]}] at @s run function barely_default:butterfly/cyan_spawn
#Gray
execute as @e[type=bat,tag=!butterfly,nbt={ArmorItems:[{},{},{},{id:"minecraft:gray_dye",count:1}]}] at @s run function barely_default:butterfly/gray_spawn
#Green
execute as @e[type=bat,tag=!butterfly,nbt={ArmorItems:[{},{},{},{id:"minecraft:green_dye",count:1}]}] at @s run function barely_default:butterfly/green_spawn
#Light Blue
execute as @e[type=bat,tag=!butterfly,nbt={ArmorItems:[{},{},{},{id:"minecraft:light_blue_dye",count:1}]}] at @s run function barely_default:butterfly/light_blue_spawn
#Light Gray
execute as @e[type=bat,tag=!butterfly,nbt={ArmorItems:[{},{},{},{id:"minecraft:light_gray_dye",count:1}]}] at @s run function barely_default:butterfly/light_gray_spawn
#Lime
execute as @e[type=bat,tag=!butterfly,nbt={ArmorItems:[{},{},{},{id:"minecraft:lime_dye",count:1}]}] at @s run function barely_default:butterfly/lime_spawn
#Magenta
execute as @e[type=bat,tag=!butterfly,nbt={ArmorItems:[{},{},{},{id:"minecraft:magenta_dye",count:1}]}] at @s run function barely_default:butterfly/magenta_spawn
#Orange
execute as @e[type=bat,tag=!butterfly,nbt={ArmorItems:[{},{},{},{id:"minecraft:orange_dye",count:1}]}] at @s run function barely_default:butterfly/orange_spawn
#Pink
execute as @e[type=bat,tag=!butterfly,nbt={ArmorItems:[{},{},{},{id:"minecraft:pink_dye",count:1}]}] at @s run function barely_default:butterfly/pink_spawn
#Purple
execute as @e[type=bat,tag=!butterfly,nbt={ArmorItems:[{},{},{},{id:"minecraft:purple_dye",count:1}]}] at @s run function barely_default:butterfly/purple_spawn
#Red
execute as @e[type=bat,tag=!butterfly,nbt={ArmorItems:[{},{},{},{id:"minecraft:red_dye",count:1}]}] at @s run function barely_default:butterfly/red_spawn
#White
execute as @e[type=bat,tag=!butterfly,nbt={ArmorItems:[{},{},{},{id:"minecraft:white_dye",count:1}]}] at @s run function barely_default:butterfly/white_spawn
#Yellow
execute as @e[type=bat,tag=!butterfly,nbt={ArmorItems:[{},{},{},{id:"minecraft:yellow_dye",count:1}]}] at @s run function barely_default:butterfly/yellow_spawn
#Torch
execute as @e[type=bat,tag=!butterfly,nbt={ArmorItems:[{},{},{},{id:"minecraft:torchflower",count:1}]}] at @s run function barely_default:butterfly/torch_spawn
#Pitcher
execute as @e[type=bat,tag=!butterfly,nbt={ArmorItems:[{},{},{},{id:"minecraft:pitcher_pod",count:1}]}] at @s run function barely_default:butterfly/pitcher_spawn
##Special Butterflies
#Wither Butterfly
execute as @e[type=wither_skeleton,tag=!butterfly.tagged,predicate=barely_default:butterfly/chance_1,predicate=barely_default:butterfly/the_nether] at @s run function barely_default:butterfly/wither
#Sculk Butterfly
execute as @e[type=warden,tag=!butterfly.tagged,predicate=barely_default:butterfly/chance_10,predicate=barely_default:butterfly/deep_dark] at @s run function barely_default:butterfly/sculk
#Chorus Butterfly
execute as @e[type=enderman,tag=!butterfly.tagged,predicate=barely_default:butterfly/chance_1,predicate=barely_default:butterfly/the_end] at @s run function barely_default:butterfly/chorus
#Copper Butterflies
execute as @e[type=#barely_default:trial_chamber_mobs,tag=!butterfly.tagged,predicate=barely_default:butterfly/chance_1,predicate=barely_default:butterfly/trial_chamber] at @s run function barely_default:butterfly/copper
execute as @e[type=#barely_default:trial_chamber_mobs,tag=!butterfly.tagged,predicate=barely_default:butterfly/chance_1,predicate=barely_default:butterfly/trial_chamber] at @s run function barely_default:butterfly/exposed_copper
execute as @e[type=#barely_default:trial_chamber_mobs,tag=!butterfly.tagged,predicate=barely_default:butterfly/chance_1,predicate=barely_default:butterfly/trial_chamber] at @s run function barely_default:butterfly/weathered_copper
execute as @e[type=#barely_default:trial_chamber_mobs,tag=!butterfly.tagged,predicate=barely_default:butterfly/chance_1,predicate=barely_default:butterfly/trial_chamber] at @s run function barely_default:butterfly/oxidized_copper
#Tags the endermen
tag @e[type=enderman,tag=!butterfly.tagged] add butterfly.tagged
#Tags the wardens
tag @e[type=warden,tag=!butterfly.tagged] add butterfly.tagged
#Tags the wither skeletons
tag @e[type=wither_skeleton,tag=!butterfly.tagged] add butterfly.tagged
#Tags the trial chamber mobs
tag @e[type=#barely_default:trial_chamber_mobs,tag=!butterfly.tagged] add butterfly.tagged
#Tags the bats
tag @e[type=bat,tag=!butterfly.tagged] add butterfly.tagged